Subject: Re: bug#63245: Potential regression: cp --preserve=mode or --preserve=all fails to copy files from subdirectory

From: Schlomo Schapiro <[email-masked]>
Date: Thu, 4 May 2023 08:27:30 +0200

Hi Pádraig,

thank you, that will not yet fix the problem in the older distros? What
about the RPM world with Fedora/RHEL and Archlinux? As far as I can tell
all cp version 9.x are affected by this.

Kind regards,
Schlomo

On Wed, 3 May 2023 at 22:05, Pádraig Brady <[email-masked]> wrote:

> On 03/05/2023 18:45, Schlomo Schapiro wrote:
> > Hi Pádraig,
> >
> > Wow, nice! That was really quick!
> >
> > how would this patch get into the affected distros as a bugfix? Then it
> would actually help me as I can't ship a patched coreutils with ReaR.
>
> I expect the process would be something like:
>
> 1. merge this change to upstream coreutils (probably tomorrow).
> 2. apply this change to debian bookworm
>     I'd also apply this related patch to bookworm:
>     https://github.com/coreutils/coreutils/commit/b54da709a.patch
> 3. propagate those changes to ubuntu lunar
>
> cheers,
> Pádraig
>